/***************************************************************************
 *   Copyright (C) 2007 by BogDan Vatra                                    *
 *   taipan@bigendian.ro                                                   *
 *                                                                         *
 *   This program is free software: you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/


#include <QApplication>
#include <QUiLoader>
#include <QFile> 
#include <QSqlDatabase>

#include "reportengine.h"


int main(int argc, char **argv)
{
	QApplication app(argc, argv);
	QSqlDatabase db = QSqlDatabase::addDatabase("QSQLITE");
	db.setDatabaseName("music.db");
	if (!db.open())
	    return 1;

	Report::ReportInterface* m_report=0;
	Report::ReportEngine m_reportEngine;

        QFile file("newReport.bdrt");
        if (file.open(QIODevice::ReadOnly))
        {
                m_report = dynamic_cast<Report::ReportInterface*>(m_reportEngine.loadReport(&file));
                file.close();
        }
	else
	    return 1;

        QUiLoader loader;
        if (!m_report->exec(&loader))
                return 1;
	return 0;// app.exec();
}

