/***************************************************************************
 *   Copyright (C) 2008 by BogDan Vatra   *
 *   taipan@licentia.eu   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QDebug>
#include <QGraphicsScene>
#include <QImage>
#include <QColorDialog>
#include <barcoderender.h>

#include "mainwindow.h"

MainWindow::MainWindow(QWidget* parent, Qt::WFlags fl)
		: QWidget(parent, fl)
{
	setupUi(this);
	view->setScene(new QGraphicsScene);
	m_gi=0;
	m_fgcolor=qRgb(0,0,0);
	m_bgcolor=qRgb(0xff,0xff,0xff);
}

MainWindow::~MainWindow()
{
}

void MainWindow::on_fgcolor_clicked()
{
	m_fgcolor=QColorDialog::getColor(m_fgcolor,this);
}

void MainWindow::on_bgcolor_clicked()
{
	m_bgcolor=QColorDialog::getColor(m_bgcolor,this);
}

void MainWindow::on_generate_clicked()
{
	QString error;

	if (m_gi)
	{
		view->scene()->removeItem(m_gi);
		delete m_gi;
	}


	QImage img=renderBarecode(text->toPlainText(), &error, primary->text(), type->value(), btype->currentIndex(), heightb->value(), widthb->value(), security->value(), wwidth->value(), bwidth->value(), codewords->value(), m_fgcolor.rgba(), m_bgcolor.rgba());

	qDebug()<<text->toPlainText();

	if (img.isNull())
		m_gi=view->scene()->addText(error);
	else
		m_gi=view->scene()->addPixmap(QPixmap::fromImage(img));
	view->scene()->update();
}

