/***************************************************************************
 *   Copyright (C) 2008 by BogDan Vatra                                    *
 *   bogdan@licentia.eu                                                    *
 *                                                                         *
 *   This program is free software: you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef REPORT_H
#define REPORT_H

#include "reportinterface.h"

class StdReport : public Report::ReportInterface
{
	Q_OBJECT
	Q_INTERFACES(Report::ReportInterface);
	Q_PROPERTY(QString menu READ menu WRITE setMenu)

public:
	StdReport(QObject *parent = 0);

	/**
	 * Return the menu how contain this report;
	 * @return menu
	 */
	QString menu();
	/**
	 * Sets the menu how will contain this report. The menu should be this form: /menu/menu1/menu2/menu3
	 * @param menu
	 */
	void setMenu(const QString &menu);

	Report::ReportInterface * createInstance(QObject * parent = 0);
	~StdReport();
private:
	QString m_menu;

};

#endif
